Bug 479661 - crons slow performance under fedora 10
crons slow performance under fedora 10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
10
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 523133
  Show dependency treegraph
 
Reported: 2009-01-12 06:54 EST by normanntp
Modified: 2009-12-18 02:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 523133 (view as bug list)
Environment:
Last Closed: 2009-12-18 02:35:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description normanntp 2009-01-12 06:54:55 EST
Hi Folks,

I have very small script for file uploading via ncftput having file size of 10KB, by manual script running it is taking around 2.x to 3 second, but under cron now it is taking above 10 second, previously when i was using Fedora-8 it works fine under cron but after upgrade to Fedora-10, it is taking time, is there any problem or is it normal, kindly advice pls.

Thanks,
Noman
Comment 1 Marcela Mašláňová 2009-01-13 05:20:26 EST
Hello,
I was trying upload small tar file and measuring the time:
time ncftpput -u marca -p password computer /home/marca /home/marca/Development/PERL/perl/devel/perl-5.10.0.tar.gz
This gives different numbers in cronie: 
real    0m0.148s
user    0m0.003s
sys     0m0.012s

real    0m0.141s
user    0m0.001s
sys     0m0.015s

real    0m0.110s
user    0m0.003s
sys     0m0.018s

and in vixie-cron:
real    0m0.146s
user    0m0.001s
sys     0m0.025s

real    0m0.116s
user    0m0.002s
sys     0m0.019s

and on command line:
real    0m0.136s
user    0m0.000s
sys     0m0.015s

real    0m0.094s
user    0m0.001s
sys     0m0.015s

As you can see the time is changing, but I can't say it was slower for cronie in F-10. I didn't notice such problems with different scripts, which I'm using. Could it be your broadband or problem with ncftpput?
Comment 2 normanntp 2009-01-13 06:03:01 EST
Hi Marcela,

Thanks for your kind reply, My cron will run after every ten minute. That is not broadband connection, there are two data centers involve in that, i have one server at iweb technology that is virtual machine of xen guest of Fedora-10, and destination side i have Sago.net also another virtual machine of Fedora-10, that same script is running fine under Fedora-8 of those virtual machines of xen, but after upgradation its taking 9+second to upload a file, where in Fedora-8 same script was taking around 2-3 second to upload a 10KB file..

I am waiting for your kind swift reply.

Thanks,
Noman
Comment 3 Marcela Mašláňová 2009-01-13 10:02:00 EST
I'll install virtual machine and try to test it again. I don't see any reason, why cron should prolong the upload.
Comment 4 Marcela Mašláňová 2009-01-14 04:49:15 EST
I've tested your use case on my virtual machine (qemu). I can't reproduce it here.

I'm reassigning this to xen-maitainers, if they have any thoughts what's wrong. There's no obvious reason how could cron slow down the performance.
Comment 5 Stuart D Gathman 2009-05-13 21:39:57 EDT
I've seen this before in Dom-U's running Centos4 and 5.  What happens is that normally, the clock on domU is slaved to dom0.  Occasionally, the clock on domU somehow gets out of sync, and the domU waits a very long time on things that are timed.  The simple test for this case is to run "sleep 1" from the command line.  If the clock problem is active, the sleep won't finish for a very long time.
Comment 6 Bug Zapper 2009-11-18 04:27:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:35:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.